Eclipse Remote Application Platform

## org.eclipse.swt.graphics
Interface ImageLoaderListener

    public interface ImageLoaderListener

Classes which implement this interface provide methods that deal with the incremental loading of image data.

After creating an instance of a class that implements this interface it can be added to an image loader using the `addImageLoaderListener` method and removed using the `removeImageLoaderListener` method. When image data is either partially or completely loaded, this method will be invoked.

Since:
  1.3
See Also:
  `ImageLoader`, `ImageLoaderEvent`

Method Summary
`void` `imageDataLoaded(ImageLoaderEvent e)` Sent when image data is either partially or completely loaded.

Method Detail

### imageDataLoaded

    void imageDataLoaded(ImageLoaderEvent e)

  Sent when image data is either partially or completely loaded.

  The timing of when this method is called varies depending on the format of the image being loaded.

  Parameters:
    `e` - an event containing information about the image loading operation

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0